head	1.2;
access;
symbols
	RELEASE_8_3_0:1.1
	RELEASE_9_0_0:1.1
	RELEASE_7_4_0:1.1
	RELEASE_8_2_0:1.1
	RELEASE_6_EOL:1.1
	RELEASE_8_1_0:1.1
	RELEASE_7_3_0:1.1
	RELEASE_8_0_0:1.1;
locks; strict;
comment	@# @;


1.2
date	2012.11.17.05.57.31;	author svnexp;	state Exp;
branches;
next	1.1;

1.1
date	2009.06.16.03.53.39;	author pgollucci;	state Exp;
branches;
next	;


desc
@@


1.2
log
@Switch exporter over
@
text
@#!/bin/sh
# $FreeBSD: /tmp/pcvs/ports/ftp/vsftpd-ext/pkg-install,v 1.1 2009-06-16 03:53:39 pgollucci Exp $
#

if [ "$2" != "PRE-INSTALL" ]; then
    exit 0
fi

if ! pw groupshow operator >/dev/null; then
	if pw groupadd operator 5; then
		echo "Added group operator for vsftpd"
	else
		echo "Failed to add group operator as gid 5" >&2
		exit 1
	fi
fi

if ! pw usershow ftp >/dev/null; then
	if pw useradd ftp -g operator -u 14 -h - -d /var/ftp -s /nonexistent -c "Anonymous Ftp"; then
		echo "Added user ftp for vsftpd"
	else
		echo "Failed to add user ftp as gid 14" >&2
		exit 1
	fi
fi

# uid=14(ftp) gid=5(operator) groups=5(operator)
view="$(id ftp)"
view="${view%% *}"
if test "${view}" = "uid=14(ftp)"; then
	exit 0
fi

echo "User ftp should have uid 14"; >&2
exit 1
# eof
@


1.1
log
@Extended build of vsftpd with additional features.
- Added char convertion without iconv for some charsets.
- Added rules for anonymous access based on user's IP address masks.
- Added rules for user access only from defined IPs.
- Allow or disallow delete files by anonymous.
- Added chowning anonymous uploaded files by user IP.
- Added new parametr double_377 (by default 1). This paramert switch off telnet specific character \377.
- Changed find libs in "vsf_findlibs.sh".
- Different speed for upload and download data transfer rates for anonymous and local users.

WWW: http://vsftpd.devnet.ru/eng/

PR:		ports/132556
Submitted by:	Maxim Ignatenko
@
text
@d2 1
a2 1
# $FreeBSD: ports/ftp/vsftpd/pkg-install,v 1.5 2008/05/24 10:09:18 dinoex Exp $
@

